#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon for interacting with KCModules
Name:           kcmutils
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5QuickWidgets)
 
BuildRequires: kitemviews-devel >= %version
BuildRequires: kauth-devel >= %version
BuildRequires: kcodecs-devel >= %version
BuildRequires: kconfig-devel >= %version
BuildRequires: kguiaddons-devel >= %version
BuildRequires: kwidgetsaddons-devel >= %version
BuildRequires: kcoreaddons-devel >= %version
BuildRequires: ki18n-devel >= %version
BuildRequires: kiconthemes-devel >= %version
BuildRequires: kdbusaddons-devel >= %version
BuildRequires: kservice-devel >= %version
BuildRequires: kglobalaccel-devel >= %version
BuildRequires: kcompletion-devel >= %version
BuildRequires: kwindowsystem-devel >= %version
BuildRequires: sonnet-devel >= %version
BuildRequires: ktextwidgets-devel >= %version
BuildRequires: kxmlgui-devel >= %version
BuildRequires: kdeclarative-devel >= %version

%description
KDE Frameworks 5 Tier 3 addon for interacting with KCModules

%files
%_kf5_datadir/kservicetypes5/kcmodule.desktop
%_kf5_datadir/kservicetypes5/kcmoduleinit.desktop

#--------------------------------------------------------------------

%define kf5kcmutils_major 5
%define libkf5kcmutils %mklibname kf5kcmutils %{kf5kcmutils_major}

%package -n %libkf5kcmutils
Summary:  KDE Frameworks 5 Tier 3 addon for interacting with KCModules
Requires: %name = %version-%release
Group:    System/Libraries

%description -n %libkf5kcmutils
KDE Frameworks 5 Tier 3 addon for interacting with KCModules

%files -n %libkf5kcmutils -f kcmutils5.lang
%_kf5_libdir/libKF5KCMUtils.so.%{kf5kcmutils_major}*

#--------------------------------------------------------------------

%define kf5kcmutils_devel %mklibname kf5kcmutils -d

%package -n %kf5kcmutils_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5kcmutils = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kcmutils_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kcmutils_devel
%_kf5_includedir/KCMUtils
%_kf5_includedir/kcmutils_version.h
%_kf5_libdir/cmake/KF5KCMUtils
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang kcmutils5


%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194114
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088948
- New version 5.32.0

* Mon Dec 26 2016 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1078113
- Rebuild for arm

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074519
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072180
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058339
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050516
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045094
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041316
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1035203
- BR: pkgconfig(Qt5QuickWidgets)

  + neoclust <neoclust>
    - New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014324
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999621
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986313
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942233
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921267
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913074
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909876
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900615
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899524
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898911
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888151
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881375
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862935
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862626
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853781
- New version 5.12.0

* Tue Jun 30 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 848369
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803343
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 747983
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680957
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660414
- New version 5.1.0

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651861
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611260
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599816
- New version 4.97.0

* Wed Feb 19 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594815
- imported package kcmutils

